import json
import urllib.request

from urllib.error import URLError

class CJsonRpc(object):
	
	def __init__(self):
		self.sUrl = None
		self.objHeader = None
		self.sData = None

	def SendAndReceive(self):
		request = urllib.request.Request(self.sUrl, self.sData, self.objHeader)
		try:
			response = urllib.request.urlopen(request)
			result = response.read()
		except URLError as e:
			result = json.dumps({'error': "connection error"});
		return result

	def IsResponseValid(self, jsonResponse):
		bIsValid = False
		arResponse = json.loads(jsonResponse.decode("utf-8"))
		
		arResult = arResponse["result"];
		if(len(arResult) > 0):
			bIsValid = True
			
		return bIsValid
	
	def GetResultObject(self, jsonResponse):
		objResponse = json.loads(jsonResponse.decode("utf-8"))
		objResult = objResponse["result"];
		return objResult

	
	

